- [HTTP request](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports/run#try-it)

Initiates the execution of an existing report asynchronously. Users can get the report by polling this operation using `OperationsService.GetOperation`. Poll every 5 seconds initially, with an exponential backoff. Once a report is complete, the operation will contain a `RunReportResponse` in its response field containing a reportResult that can be passed to the `FetchReportResultRows` method to retrieve the report data.

### HTTP request

`POST https://agenciesandbrands.googleapis.com/v1/{name=agencies/*/reports/*}:run`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The report to run. Format: `agencies/{account_id}/reports/{reportId}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/agencies-and-brands/apis/agenciesandbrands/reference/rest/v1/agencies.reports.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/agencies-and-brands`